<?php
/**
* LayerSlider v5.1.2 - Responsive Slideshow Module http://layerslider.webshopworks.com
*
*  @author    WebshopWorks <info@webshopworks.com>
*  @copyright 2015 WebshopWorks
*  @license   One Domain Licence
*/

if (!defined('_PS_VERSION_'))
	exit;

$upload_dir = wp_upload_dir();
$file = $upload_dir['basedir'].'/layerslider.custom.css';

$contents = file_exists($file) ? Tools::file_get_contents($file) : '';

$ls_screen_options = get_option('ls-screen-options', '0');
$ls_screen_options = ($ls_screen_options == 0) ? array() : $ls_screen_options;
$ls_screen_options = is_array($ls_screen_options) ? $ls_screen_options : unserialize($ls_screen_options);

if (!isset($ls_screen_options['showTooltips']))
	$ls_screen_options['showTooltips'] = 'true';

?>

<div id="ls-screen-options" class="metabox-prefs hidden">
	<div id="screen-options-wrap" class="hidden">
		<form id="ls-screen-options-form" action="<?php echo $_SERVER['REQUEST_URI']?>" method="post">
			<h5><?php _e('Show on screen', 'LayerSlider') ?></h5>
			<label>
				<input type="checkbox" name="showTooltips"<?php echo $ls_screen_options['showTooltips'] == 'true' ? ' checked="checked"' : ''?>> <?php _e('Tooltips', 'LayerSlider') ?>
			</label>
		</form>
	</div>
	<div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle">
		<a href="#screen-options-wrap" id="show-settings-link" class="show-settings"><?php _e('Screen Options', 'LayerSlider') ?></a>
	</div>
</div>
<div class="wrap">
	<hr>
	<!-- Error messages -->
	<?php if (Tools::getIsset('edited'))
	{?>
	<div class="ls-notification changed">
		<div><?php _e('Your changes has been saved!', 'LayerSlider') ?></div>
	</div>
	<?php
	}?>
	<!-- End of error messages -->

	<!-- Editor box -->
	<div class="ls-box ls-skin-editor-box">
		<h3 class="header medium">
			<?php _e('Contents of your custom CSS file', 'LayerSlider') ?>
			<figure><span>|</span>Ctrl+Q to fold/unfold a block</figure>
		</h3>
		<form action="<?php echo Context::getContext()->link->getAdminLink('AdminLayerSliderStyle') ?>&action=saveStyle" method="post" class="inner">
			<input type="hidden" name="ls-user-css" value="1">
			<?php wp_nonce_field('save-user-css'); ?>
			<textarea rows="10" cols="50" name="contents"class="ls-codemirror"><?php
				if (!empty($contents))
					echo call_user_func('stripslashes', $contents);
				else
				{
					_e('/* You can type here any CSS code that will be loaded both on your admin and front-end pages.', 'LayerSlider');
					echo NL;
					_e('Let us help you by giving a few exmaple CSS classes: */', 'LayerSlider');
					echo NL.NL;
					echo '/* Front-end sliders & preview */'.NL.NL;
					echo '.ls-container { /* The slider itself */'.NL.NL.'}'.NL.NL;
					echo '.ls-slide { '.NL.NL.'}'.NL.NL;
					echo '.ls-slide a:hover {'.NL.TAB.'color: blue;'.NL.TAB.'text-decoration: underline;'.NL.'}'.NL.NL;
					echo '.ls-slide #yourID {'.NL.NL.'}'.NL.NL;
					echo '.ls-slide .yourClass {'.NL.NL.'}'.NL.NL;
					echo '/* Side color of 3D objects */'.NL;
					echo '.ls-3d-box div { background: #777; }'.NL;
				}?></textarea>
			<p class="footer"><?php
				if (!is_writable($upload_dir['basedir']))
					_e('You need to make your uploads folder writable before you can save your changes.', 'LayerSlider');
				else
				{?>
				<button class="button-primary"><?php _e('Save changes', 'LayerSlider') ?></button>
				<?php _e('Using bad CSS code could break the appearance of your site or your sliders. Changes cannot be reverted after saving.', 'LayerSlider') ?>
				<?php
				}?>
			</p>
		</form>
	</div>
</div>
<script type="text/javascript">
	var lsScreenOptions = <?php echo Tools::jsonEncode($ls_screen_options) ?>;
</script>
